// memdrex.c: S.W. Ellingson, Virginia Tech, 2010 Oct 16
// ---
// COMPILE: gcc -o memdrex memdrex.c
// ---
// COMMAND LINE: memdrex           
// ---
// REQUIRES: 
//   me.h
// ---
// Used to query ms_mdre_ip (the MCS/Scheduler subsystem MIB interface) using msmdre() 
// See end of this file for history.

#include "me.h"

int main ( int narg, char *argv[] ) {

  char val[MIB_VAL_FIELD_LENGTH];
  struct timeval last_change;
  int eResult=-1;

  eResult = memdre("SHL","SUMMARY",val,&last_change);
  printf("[%d/%d] memdre() returned code %d, val='%s'\n",ME_MEMDREX,getpid(),eResult,val);
  eResult = memdre("XHL","SUMMARY",val,&last_change);
  printf("[%d/%d] memdre() returned code %d, val='%s'\n",ME_MEMDREX,getpid(),eResult,val);
  eResult = memdre("SHL","SUMMARY",val,&last_change);
  printf("[%d/%d] memdre() returned code %d, val='%s'\n",ME_MEMDREX,getpid(),eResult,val);
  eResult = memdre("SHL","XUMMARY",val,&last_change);
  printf("[%d/%d] memdre() returned code %d, val='%s'\n",ME_MEMDREX,getpid(),eResult,val);
  eResult = memdre("SHL","SUMMARY",val,&last_change);
  printf("[%d/%d] memdre() returned code %d, val='%s'\n",ME_MEMDREX,getpid(),eResult,val);  

  return 0;
  } /* main() */

//==================================================================================
//=== HISTORY ======================================================================
//==================================================================================
// memdrex.c: S.W. Ellingson, Virginia Tech, 2010 Oct 16
//   .1: Initial version
// mesix.c: S.W. Ellingson, Virginia Tech, 2010 Oct 16
//   .1: Initial version

//==================================================================================
//=== BELOW THIS LINE IS SCRATCH ===================================================
//==================================================================================


